> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a message

> Send a specific message to a given phone number.



## OpenAPI

````yaml /openapi.json post /api/public/web-whatsapp-message/send/{phoneId}/message
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/web-whatsapp-message/send/{phoneId}/message:
    post:
      tags:
        - public/web-whatsapp-message
      summary: Send a message
      description: Send a specific message to a given phone number.
      operationId: WebWhatsappPublicMessageController_openConversation
      parameters:
        - name: phoneId
          required: true
          in: path
          description: The phone id to send the message from
          schema:
            type: string
        - name: stage
          required: false
          in: query
          description: The stage id to send the message to
          schema:
            type: string
        - name: x-api-key
          required: true
          in: query
          description: API key needed to authorize the request
          schema:
            type: string
        - name: message
          required: false
          in: query
          description: The message to send
          schema:
            type: string
      requestBody:
        required: true
        description: The payload to send. Can be JSON or form data.
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  example:
                    key: value
                - type: string
                  format: binary
                - type: object
                  additionalProperties: true
                  example:
                    key: value
          multipart/form-data:
            schema:
              oneOf:
                - type: object
                  example:
                    key: value
                - type: string
                  format: binary
                - type: object
                  additionalProperties: true
                  example:
                    key: value
          application/x-www-form-urlencoded:
            schema:
              oneOf:
                - type: object
                  example:
                    key: value
                - type: string
                  format: binary
                - type: object
                  additionalProperties: true
                  example:
                    key: value
      responses:
        '201':
          description: Message sent successfully.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.

````